<?php

class Intense_Device_Mockup extends Intense_Shortcode {

	function __construct() {
        parent::__construct();

		global $intense_visions_options;

		$this->title = __( 'Device Mockup', 'intense' );
		$this->description = __( 'The Device Mockup shortcode allows you to create a mobile device, tablet, or browser mockup. This shortcode is used in conjunction with the Device Mockups WordPress plugin.', 'intense' );
		$this->category = __( 'Media', 'intense' );	
		$this->show_preview = true;
		$this->hidden = true;
		$this->parent = 'intense_device_mockups';
	}

	function shortcode( $atts, $content = null ) {
		global $intense_device_array;

		// pull the default tab attribute values and merge them with the attributes passed into the shortcode
		// then filter out the null values
		$atts = array_filter( array_merge( $this->get_shortcode_defaults( null, $atts ), $atts ) );

		$intense_device_array[] = array_merge( array( 'content' => $content ), is_array( $atts ) ? $atts : array() );

		return '';
	}	
}
